<?php
declare(strict_types=1);

namespace app\common\model;

use think\facade\Config;
use think\facade\Db;

use app\common\model\Base;

class TagArticle extends Base
{
    protected $schema = [
        'id'     => "int",
        "infoid" => "int",
        "cid"    => "int",
        "tagid"  => "int",
    ];

    protected $autoWriteTimestamp = false;

    public function article()
    {
        return $this->belongsTo('Article', 'infoid', 'id')->bind(['id','cid','title','titlepic','summary','hits','create_time','username']);
    }

    public function category()
    {
        return $this->belongsTo('Category', 'cid', 'id')->bind(['category_url'=>'url','category_name'=>'name']);
    }

    public static function queryList($tagid)
    {
        $limit = Config::get('app.page_size', 20);

        return self::with(['article','category'])->where('tagid', $tagid)->limit($limit)->paginate();
    }
}
